Page MenuHomePhabricator

Use IndexPager's multi-column pagination for preliminary check
Closed, ResolvedPublic

Description

After T244492 we can remove the multiple column pagination from PreliminaryCheckService, since it will be handled by IndexPager.

We can define the multiple index fields in PreliminaryCheckPager::getIndexField, after which we can stop overriding IndexPager::doQuery, and instead override IndexPager::getQueryInfo and IndexPager::preprocessResults.

In doing this, we will also remove the virtual column lu_name_wiki, which currently causes errors when using Special:Investigate without CentralAuth enabled.

Event Timeline

Tchanders created this task.Feb 6 2020, 6:33 PM
Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptFeb 6 2020, 6:33 PM
Tchanders updated the task description. (Show Details)Feb 7 2020, 1:22 AM

Change 572040 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/CheckUser@master] Update preliminary check classes to use multi-column pagination

https://gerrit.wikimedia.org/r/572040

Change 572040 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] Update preliminary check classes to use multi-column pagination

https://gerrit.wikimedia.org/r/572040

dom_walden added a subscriber: dom_walden.

Sorry, wrong task. Pending...

Testing different numbers of items on a page, compared what was returned to what was in the database, to check no results are missing across pages.

I haven't seen any problems so far.

Niharika closed this task as Resolved.Feb 28 2020, 8:14 PM